slepc-3.10.1 2018-10-23
Report Typos and Errors

# MFNSetFromOptions

Sets MFN options from the options database. This routine must be called before MFNSetUp() if the user is to be allowed to set the solver type.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetFromOptions(MFN mfn)

Collective on MFN

### Input Parameters

| mfn | - the matrix function context

### Notes

To see all options, run your program with the -help option.

Location: src/mfn/interface/mfnopts.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/eps/examples/tutorials/ex36.c.html
src/mfn/examples/tutorials/ex23.c.html
src/mfn/examples/tutorials/ex26.c.html
src/mfn/examples/tutorials/ex37.c.html
src/mfn/examples/tutorials/ex39.c.html
src/mfn/examples/tutorials/ex23f90.F90.html